#### Previous topic

scipy.special.airy

#### Next topic

scipy.special.ai_zeros

# scipy.special.airye

`scipy.special.``airye`(z) = <ufunc 'airye'>

  Exponentially scaled Airy functions and their derivatives.

  Scaling:

      eAi  = Ai  * exp(2.0/3.0*z*sqrt(z))
      eAip = Aip * exp(2.0/3.0*z*sqrt(z))
      eBi  = Bi  * exp(-abs(2.0/3.0*(z*sqrt(z)).real))
      eBip = Bip * exp(-abs(2.0/3.0*(z*sqrt(z)).real))

  Parameters:

  z : array_like

  > Real or complex argument.

  Returns:

  eAi, eAip, eBi, eBip : array_like

  > Airy functions Ai and Bi, and their derivatives Aip and Bip

  See also

  `airy`

  Notes

  Wrapper for the AMOS [R343] routines zairy and zbiry.

  References

  [R343] | (1, 2) Donald E. Amos, “AMOS, A Portable Package for Bessel Functions of a Complex Argument and Nonnegative Order”, http://netlib.org/amos/